<?php

require_once "../../../../koolreport/autoload.php";

use \koolreport\cube\processes\Cube;
use \koolreport\processes\Limit;

class CustomDisplay extends \koolreport\KoolReport
{
  use \koolreport\clients\FontAwesome;

  function settings()
  {
    return array(
      "dataSources"=>array(
        "sales"=>array(
          'filePath' => '../../../databases/customer_product_dollarsales2.csv',
          'class' => "\koolreport\datasources\CSVDataSource",      
          'fieldSeparator' => ';',
        ),
      )
    );
  }
  
  function setup()
  {
        $this->src('sales')
        ->pipe(new Limit(array(20)))
        ->pipe(new Cube(array(
            "column"=>"customerName",
            "row"=>"productName",
            "sum"=>"dollar_sales",
        )))
        ->pipe($this->dataStore('sales'));
  }
}